From d1e20c5dce4801b70a89195b0eb83f43b08d6798 Mon Sep 17 00:00:00 2001
From: "Robert J. Heywood" <robert.heywood@codethink.co.uk>
Date: Thu, 11 Jun 2020 22:54:12 +0100
Subject: [PATCH] Build vc4 drm

---
 elements/bsp/raspi/boot.bst              | 3 ++-
 elements/bsp/raspi/linux.bst             | 7 +++++++
 elements/bsp/raspi/userland-firmware.bst | 1 +
 3 files changed, 10 insertions(+), 1 deletion(-)

diff --git a/elements/bsp/raspi/boot.bst b/elements/bsp/raspi/boot.bst
index ffa10ca..8aee8d0 100644
--- a/elements/bsp/raspi/boot.bst
+++ b/elements/bsp/raspi/boot.bst
@@ -24,7 +24,8 @@ config:
     enable_uart=1
     arm_64bit=1
     start_x=1
-    gpu_mem=128
+    gpu_mem=16
+    dtoverlay=vc4-kms-v3d
 
     # uncomment if you get no picture on HDMI for a default "safe" mode
     #hdmi_safe=1
diff --git a/elements/bsp/raspi/linux.bst b/elements/bsp/raspi/linux.bst
index 542acf2..a657e72 100644
--- a/elements/bsp/raspi/linux.bst
+++ b/elements/bsp/raspi/linux.bst
@@ -38,6 +38,13 @@ config:
     KERNEL=kernel8
     make ARCH=arm64 bcmrpi3_defconfig
 
+  - |
+    # Enable vc4 drm
+     scripts/config -e I2C_BCM2835
+     scripts/config -e DRM
+     scripts/config -e DRM_FBDEV_EMULATION
+     scripts/config -e DRM_VC4
+
   install-commands:
   - |
     make INSTALL_MOD_PATH="%{install-root}/usr/" modules_install
diff --git a/elements/bsp/raspi/userland-firmware.bst b/elements/bsp/raspi/userland-firmware.bst
index 77e2745..48f231b 100644
--- a/elements/bsp/raspi/userland-firmware.bst
+++ b/elements/bsp/raspi/userland-firmware.bst
@@ -23,4 +23,5 @@ depends:
 variables:
   cmake-local: |
     -DCMAKE_BUILD_TYPE=Release \
+    -DBUILD_WAYLAND=TRUE \
     -DARM64=ON
-- 
2.26.2

